# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               bristol
Version:            0.60.10
Release:            1.4
Summary:            Vintage Synthesiser Software Emulator Suite
Source:             http://prdownloads.sourceforge.net/bristol/bristol-%{version}.tar.gz
URL:                http://bristol.sourceforge.net/
Group:              Productivity/Multimedia/Sound/Midi
License:            GPL-3.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      xorg-x11-devel
BuildRequires:      jack-devel
BuildRequires:      liblo-devel
BuildRequires:      alsa-devel
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files
BuildRequires:      fdupes

%description
Bristol is a vintage synthesiser software emulator suite.

The application consists of an engine itself called bristol and a graphical
user interface called brighton.

The graphical interface is a bitmap manipulation library to present the diverse
synth devices such as potentiometers, buttons, sliders, patch cables and which
generates the messages to configure the synth emulator.

The engine is an infrastructure that hosts the emulator code that couples
together the different audio operators required to generate the audio.

The engine and GUI are started together with the startBristol script which sets
up the required environment for the two to connect together. It is not
generally envisaged that bristol and brighton be started outside of the script
however there are options to the script to only start one or the other. Bristol
also has a command line interface that can be used rather than the GUI.

%prep
%setup -q
%__chmod 0644 AUTHORS ChangeLog COPYING* HOWTO NEWS README
%__sed -i 's/\r$//' HOWTO

%build
%configure \
    --enable-jack-default-audio \
    --enable-jack-default-midi

%__make %{?_smp_mflags}

%install
%makeinstall

%__rm "%{buildroot}%{_libdir}"/lib*.{so,a,la}

%fdupes -s "%{buildroot}%{_datadir}/bristol"

#suse_update_desktop_file -r "%{name}" .

#find_lang "%{name}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

#files -f "%{name}.lang"
%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING* HOWTO NEWS README
%{_bindir}/brighton
%{_bindir}/bristol
%{_bindir}/bristoljackstats
%{_bindir}/startBristol
%{_libdir}/libB11.so.*
%{_libdir}/libC11.so.*
%{_libdir}/libbrighton.so.*
%{_libdir}/libbristol.so.*
%{_libdir}/libbristolaudio.so.*
%{_libdir}/libbristolic.so.*
%{_libdir}/libbristolmidi.so.*
%{_libdir}/libbvg.so.*
%{_datadir}/bristol
%doc %{_mandir}/man1/brighton.1*
%doc %{_mandir}/man1/bristol.1*
%doc %{_mandir}/man1/bristoljackstats.1*
%doc %{_mandir}/man1/startBristol.1*

%changelog
* Tue Jul 17 2012 pascal.bleser@opensuse.org
- initial version (0.60.10)
